# $Revision: 1.24 $, $Date: 2004/04/26 15:21:04 $
Summary:	High level cross-platform "environment" libraries based on Fltk
Summary(pl):	Wysykopoziomowe midzyplatformowe biblioteki "rodowiskowe" bazujce na Fltk
Name:		flek
Version:	0.2
Release:	4
License:	GPL
Group:		X11/Libraries
Source0:	ftp://flek.sourceforge.net/pub/%{name}/%{name}-%{version}.agenda.tar.gz
# Source0-md5:	16ead4da819c0154f084a000b5ee19bf
Patch0:		%{name}-DESTDIR.patch
URL:		http://flek.sourceforge.net/
BuildRequires:	OpenGL-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	fltk-devel >= 1.0.11-3
BuildRequires:	libjpeg-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Flek hopes to provide the same layer of functionality for Fltk that
GNOME and KDE do for the Gtk and Qt toolkits, respectively.
Applications written with Flek should work cooperatively with
applications written in either GNOME or KDE. Flek does not necessarily
intend to become a self contained desktop environment and we don't
plan on duplicating the work of either GNOME or KDE in this regard.
Aren't there enough IRC clients? ;-)

%description -l pl
Flek ma zapewni ten sam poziom funkcjonalnoci dla Fltk, co GNOME i
KDE dla Gtk i Qt. Aplikacje korzystajce z Fleka powinny wsppracowa
z aplikacjami pisanymi dla GNOME lub KDE. Flek nie ma koniecznie
zosta samodzielnym rodowiskiem desktopu i nie jest planowane, by
powiela prac GNOME lub KDE w tym zakresie.

%package devel
Summary:	Flek header files and development documentation
Summary(pl):	Pliki nagwkowe i dokumentacja programisty Fleka
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}

%description devel
Flek header files and development documentation.

%description devel -l pl
Pliki nagwkowe i dokumentacja programisty Fleka.

%package static
Summary:	Flek static libraries
Summary(pl):	Biblioteki statyczne Fleka
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Flek static libraries.

%description static -l pl
Biblioteki statyczne Fleka.

%prep
%setup  -q -n %{name}-%{version}.agenda
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
cp -f /usr/share/automake/config.* .
%configure \
	--with-fltk=%{_prefix}
%{__make} src

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README Changelog
%attr(755,root,root) %{_libdir}/lib*.so.*

%files devel
%defattr(644,root,root,755)
%doc docs
%{_includedir}/Flek
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: flek.spec,v $
Revision 1.24  2004/04/26 15:21:04  adamg
- release 4 for Ac (3 is for Ra)

Revision 1.23  2003/08/26 20:31:19  ankry
- s/[Gg]nome/GNOME/

Revision 1.22  2003/07/08 18:26:38  blues
- "f" and some "g" letters of small fixes inpired by kloczek

Revision 1.21  2003/05/28 12:58:56  malekith
- massive attack: source-md5

Revision 1.20  2003/05/25 05:47:26  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2003/01/18 22:46:46  juandon
- removed two lines with define

Revision 1.18  2002/11/27 19:36:46  juandon
- new %%doc

Revision 1.17  2002/10/09 13:14:22  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.14  2002/05/12 23:17:30  marcus
- rel.3.

Revision 1.13  2002/04/25 16:18:30  arturs
fixed a small typo

Revision 1.12  2002/03/19 15:20:17  ankry
- fixed URLs

Revision 1.11  2002/02/22 23:28:54  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2001/11/27 09:33:45  qboosh
- pl translations

Revision 1.7  2001/10/03 16:44:25  filon
- changed req for main subpkg in static subpkg to devel
- release 2
